Skip to main content
POST
Add a member to teams

Authorizations

Authorization
string
header
required

Path Parameters

id
string<string>
required

The member ID

Body

application/json
teamKeys
string[]
required

List of team keys

Example:

Response

Member response

The location and content type of related resources

_id
string
required

The member's ID

Example:

"507f1f77bcf86cd799439011"

role
string
required

The member's base role. If the member has no additional roles, this role will be in effect.

Example:

"reader"

email
string
required

The member's email address

Example:

"ariel@acme.com"

_pendingInvite
boolean
required

Whether the member has a pending invitation

Example:

false

_verified
boolean
required

Whether the member's email address has been verified

Example:

true

customRoles
string[]
required

The set of additional roles, besides the base role, assigned to the member

Example:
mfa
string
required

Whether multi-factor authentication is enabled for this member

_lastSeen
integer<int64>
required

The member's last session date (as Unix milliseconds since epoch)

Example:

"1608260796147"

creationDate
integer<int64>
required

Timestamp of when the member was created

Example:

"1628001602644"

firstName
string

The member's first name

Example:

"Ariel"

lastName
string

The member's last name

Example:

"Flores"

_pendingEmail
string

The member's email address before it has been verified, for accounts where email verification is required

excludedDashboards
string[]

Default dashboards that the member has chosen to ignore

_lastSeenMetadata
object

Additional metadata associated with the member's last session, for example, whether a token was used

_integrationMetadata
object

Details on the member account in an external source, if this member is provisioned externally

teams
object[]

Details on the teams this member is assigned to

permissionGrants
object[]

A list of permission grants. Permission grants allow a member to have access to a specific action, without having to create or update a custom role.

oauthProviders
string[]

A list of OAuth providers

hasPassword
boolean

Whether the member has a password set (basic auth). False for OAuth-only or SCIM-provisioned members without a password.

version
integer

Version of the current configuration

Example:

1

roleAttributes
object

The role attributes for the member

mfaEnforced
boolean
mfaGracePeriodExpiresAt
integer<int64>